## tuareg-mode 2.0.1

=== Makefile ===
EMACS = emacs
NOINIT = -q --no-site-file
# when testing, we want all settings to be non-0
TEST_INIT = -eval '(setq tuareg-in-indent 2)'
BATCH = -batch $(NOINIT) --load tuareg.elc
RM = rm -rf
CP = cp -f
LN = ln
CMP = cmp
# CMP = diff -u
DIFF_W = diff -uw
DEST = /usr/share/emacs/site-lisp/tuareg

DIST_FILES = COPYING HISTORY README sample.ml
ELR = append-tuareg camldebug custom-tuareg ocamlspot tuareg
ifeq ("`$(EMACS) --version |grep 'GNU Emacs'`", "")
ELR += sym-lock
else
DIST_FILES += sym-lock.el
endif
ELS = $(addsuffix .el, $(ELR))
ELC = $(addsuffix .elc, $(ELR))

INSTALL_RM_R = $(RM)
INSTALL_MKDIR = mkdir
INSTALL_CP = $(CP)

all : elc

elc : $(ELC)

%.elc : %.el
	$(EMACS) -batch $(NOINIT) -f batch-byte-compile $<

camldebug.elc : camldebug.el tuareg.elc

clean :
	$(RM) $(ELC) test.ml test.ml~ $(DIST_NAME).tgz $(DIST_NAME).zip

VERSION_FILE = version

ifneq ($(realpath .hg),)
POST_INSTALL_HOOK = $(RM) $(VERSION_FILE)
MAKE_VERSION_FILE = hg id -i | fgrep -v '+' >/dev/null || \
	(echo 'uncommitted changes' >&2; exit 1); \
	hg id -i --debug > $(VERSION_FILE)
else
ifneq ($(realpath .svn),)
POST_INSTALL_HOOK = $(RM) $(VERSION_FILE)
MAKE_VERSION_FILE = svn info | grep Revision: | sed 's/Revision: //' > $(VERSION_FILE)
else
POST_INSTALL_HOOK =
MAKE_VERSION_FILE = (echo "missing $(VERSION_FILE) in the distribution?" >&2; exit 1)
endif
endif

$(VERSION_FILE) : force
	$(MAKE_VERSION_FILE)

install : $(ELC) $(VERSION_FILE)
	fgrep `cat $(VERSION_FILE)` tuareg.elc >/dev/null 2>&1 || \
	 ($(RM) tuareg.elc; $(MAKE) tuareg.elc)
	$(INSTALL_RM_R) ${DEST}
	$(INSTALL_MKDIR) ${DEST}
	for f in $(ELS) $(ELC) $(VERSION_FILE); do $(INSTALL_CP) $$f $(DEST)/$$f; done
	$(POST_INSTALL_HOOK)

# have to indent twice because comments are indented to the _following_ code
REINDENT = --file test.ml --eval '(with-current-buffer "test.ml" (tuareg-mode) (indent-region (point-min) (point-max)) (indent-region (point-min) (point-max)) (save-buffer))' --kill

MANGLE = sed -e 's/^\(  *[a-z].*[^\"]\)$$/ \1/'

EXTRA_CHECK_COMMANDS =

check : $(ELC) sample.ml
	@echo ====sample.ml====
	$(MANGLE) sample.ml > test.ml
	$(EMACS) $(BATCH) $(TEST_INIT) $(REINDENT)
	$(CMP) sample.ml test.ml
	$(EXTRA_CHECK_COMMANDS)
	$(RM) test.ml test.ml~

DIST_NAME = tuareg-$(shell grep 'Tuareg Version' tuareg.el | sed 's/.*Tuareg Version \([^ ]*\) .*/\1/')
DIST_FILES += $(ELS) $(VERSION_FILE) Makefile
$(DIST_NAME).tgz $(DIST_NAME).zip : $(DIST_FILES)
	$(RM) $(DIST_NAME) $(DIST_NAME).tgz $(DIST_NAME).zip; mkdir $(DIST_NAME)
	for f in $(DIST_FILES); do $(LN) $$f $(DIST_NAME); done
	tar cvfz $(DIST_NAME).tgz $(DIST_NAME)
	zip -9vr $(DIST_NAME).zip $(DIST_NAME)
	$(RM) $(DIST_NAME)
	$(POST_INSTALL_HOOK)

distrib : $(DIST_NAME).tgz

.PHONY : all elc clean install force check distrib

=== debian/changelog ===
tuareg-mode (1:2.0.1-1) unstable; urgency=low

  * New upstream version. This version fixes a bug with byte-compilation
    under emacs21 and emacs22.

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 May 2010 07:54:23 +0200

tuareg-mode (1:2.0.0-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream location, update debian/{watch,control,copyright}
    accordingly

  [ Ralf Treinen ]
  * Do not byte-compile on emacs21, emacs22, and xemacs21. This fixes the
    urgency of bug #582981, though that bug remains open.

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 May 2010 20:06:00 +0200

tuareg-mode (1:2.0.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
    - update debian/copyright and debian/watch
  * Switch packaging to git
  * Switch debian/rules to dh with overrides
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - add myself to Uploaders, remove Remi and Stefano
    - update Homepage
    - bump Standards-Version to 3.8.4

  [ Ralf Treinen ]
  * changed section to ocaml

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 May 2010 19:54:44 +0200

tuareg-mode (1:1.45.6-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Standards-Version 3.8.0 (no change)
  * Cleanup Uploaders field
  * debian/copyright: point to GPL-2 file.

  [ Mehdi Dogguy ]
  * tuareg-mode now recommands/enhances ocaml-interp instead of ocaml

 -- Ralf Treinen <treinen@debian.org>  Fri, 27 Feb 2009 22:08:12 +0100

tuareg-mode (1:1.45.6-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream release, fixes a bug concerning indentation of
    if-then-else (closes: Bug#450741), and elisp compiler warnings
    (closes: Bug#456006).
  * Standards-Version 3.7.3 (no change).

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Jan 2008 13:23:05 +0100

tuareg-mode (1:1.45.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add Homepage field.
  * Proper end-of-string recognition in auto-mode file pattern. Thanks to
    Trent W. Buck for the patch (closes: Bug#446185).

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 Oct 2007 20:06:46 +0200

tuareg-mode (1:1.45.4-3) unstable; urgency=low

  * startup file: extend the load-path by the tuareg-mode directory

 -- Ralf Treinen <treinen@debian.org>  Mon, 21 May 2007 22:07:32 +0200

tuareg-mode (1:1.45.4-2) unstable; urgency=low

  * [Julien Cristau]
   - Remove inactive people from the Uploaders field.
  * [Ralf Treinen]
   - Recommends ocaml-mode, to profit from the added functionality of 
     tuareg-mode-with-caml-mode. Added a note in the package description.
     (closes: Bug#414167).

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Mar 2007 19:16:39 +0100

tuareg-mode (1:1.45.4-1) unstable; urgency=low

  * Revert to upstream version 1.45 since indentation code in 1.46 is 
    seriously broken (closes: Bug#389823).

 -- Ralf Treinen <treinen@debian.org>  Sun,  1 Oct 2006 19:11:35 +0200

tuareg-mode (1.46.1-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Aug 2006 09:07:28 +0200
  

tuareg-mode (1.46.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.7.2 (no change).
  * Turn Build-depends-indep: debhelper, dpatch into build-depends

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 May 2006 18:49:26 +0200

tuareg-mode (1.45.4-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Apr 2006 00:04:14 +0200

tuareg-mode (1.45.3-1) unstable; urgency=low

  * New upstream release. This release fixes a bug due to erroneous 
    detection of comments (closes: Bug#341203).

 -- Ralf Treinen <treinen@debian.org>  Fri, 17 Feb 2006 19:45:22 +0100

tuareg-mode (1.45.2-1) unstable; urgency=low

  * New upstream release. This release incorporates our patch
    to work around the missing line-number function
    in emacs (closes: #341203).
  * Install an emacs startup file with priority 51, and replace the installed 
    append-tuareg.el file by an empty file. Adapt README.Debian accordingly,
    make a note in NEWS.
  * Some improvements in long package description.
  * Patch 03_autoload_pattern: Narrow autoload-pattern down to what is really
    needed for OCaml files. 
  * New uploader Sylvain Le Gall.

 -- Ralf Treinen <treinen@debian.org>  Wed, 28 Dec 2005 15:46:08 +0100

tuareg-mode (1.45.0-beta3-1) unstable; urgency=low

  * New upstream release (called 1.45.0-rc3 by upstream).
  * Removed patch 03_keyword-face since fixed by upstream.
  * Standards-version 3.6.2 (no change).

 -- Ralf Treinen <treinen@debian.org>  Sat, 30 Jul 2005 09:38:18 +0200

tuareg-mode (1.45.0-beta2-1) unstable; urgency=low

  * New upstream version (called 1.45.0-rc2 by upstream).
  * Removed patches 03_fontlock and 04_charsetp since now fixed by
    upstream.
  * Patch 03_keyword-face: Fix bug on keyword coloration - thanks to Remi
    Vanicat for the patch (closes: #312212).
  * Added new uploader Samuel Mimram.

 -- Ralf Treinen <treinen@debian.org>  Tue,  7 Jun 2005 21:00:43 +0200

tuareg-mode (1.45.0-beta1-2) unstable; urgency=low

  * Patch 04_charsetp: Fixes compilation error under xemacs21-nomule due
    to unbound symbol charsetp. Thanks to Meik Hellmund for the patch.
    (closes: Bug#311274).

 -- Ralf Treinen <treinen@debian.org>  Wed,  1 Jun 2005 22:05:47 +0200

tuareg-mode (1.45.0-beta1-1) unstable; urgency=low

  * New upstream version (called 1.45.0-rc1 by upstream)
  * Corrected variable settings in patch 03_fontlock - thanks to Remi Vanicat
    (closes: Bug# 311155).
  * Removed patch 04_version since obsolete for this upstream version.

 -- Ralf Treinen <treinen@debian.org>  Sun, 29 May 2005 20:06:34 +0200

tuareg-mode (1.44.3-2) unstable; urgency=low

  * Fixed an embarrassing typo in changelog entry of 1.44.3-1.

 -- Ralf Treinen <treinen@debian.org>  Sat, 19 Feb 2005 16:26:05 +0100



=== debian/control ===
Source: tuareg-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
Homepage: http://tuareg.forge.ocamlcore.org/

Package: tuareg-mode
Architecture: all
Depends: xemacs21-nomule | emacsen, ${misc:Depends}
Recommends: ocaml-interp, ocaml-mode
Enhances: ocaml-interp
Conflicts: ocaml-tools (<= 1.1-2)
Description: An emacs-mode for ocaml programs
 It handles automatic indentation of Objective Caml and Caml-Light
 code.  Key parts of the code are highlighted using Font-Lock. It
 provides support to run an interactive OCaml toplevel and debugger.
 It works both with FSF Emacs and XEmacs.
 .
 This mode attempts to give better results than the one provided in
 the standard distribution of OCaml and which is available through the
 ocaml-mode package. Indentation rules are slightly different but
 closer to classical functional languages indentation. Tuareg-mode
 gives access to some functionalities from ocaml-mode when that
 package is installed.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tuareg-mode

#export DH_VERBOSE=1

export TUAREGELDIR=debian/tuareg-mode/usr/share/emacs/site-lisp/tuareg-mode
export TUAREGXELDIR=debian/tuareg-mode/usr/share/xemacs/site-lisp/tuareg-mode

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(TUAREGXELDIR) $(TUAREGELDIR)
	cp tuareg.el custom-tuareg.el $(TUAREGELDIR)
	cat append-tuareg.el debian/emacsen-setloadpath > \
		debian/tuareg-mode.emacsen-startup
	echo ";; empty dummy file" > $(TUAREGELDIR)/append-tuareg.el
	cp sym-lock.el $(TUAREGXELDIR)
	cp camldebug.el $(TUAREGELDIR)/camldebug-tuareg.el

.PHONY: override_dh_installemacsen
override_dh_installemacsen:
	dh_installemacsen --priority=51

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs HISTORY

.PHONY: override_dh_auto_build
override_dh_auto_build:

.PHONY: override_dh_auto_test
override_dh_auto_test:

## tuareg-mode 2.0.4

=== debian/changelog ===
tuareg-mode (1:2.0.4-3) unstable; urgency=low

  * Really upload to sid.

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Feb 2011 22:47:36 +0100

tuareg-mode (1:2.0.4-2) experimental; urgency=low

  * Upload to sid.

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Feb 2011 21:49:55 +0100

tuareg-mode (1:2.0.4-1) experimental; urgency=low

  * New upstream version.
  * Byte-compile emacs files also on xemacs21, except for camldebug-tuareg.el

 -- Ralf Treinen <treinen@debian.org>  Thu, 18 Nov 2010 22:16:56 +0100

tuareg-mode (1:2.0.2-1) experimental; urgency=low

  * New upstream version.
  * Removed patch 0003-Narrow-autoload-pattern-down-to-what-is-really-neede
    since integrated by upstream.
  * Standards-version 3.9.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Sep 2010 09:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,4 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=43 .*/tuareg-(.*)\.tgz

## tuareg-mode 2.0.6

=== Makefile ===
VERSION = $(shell grep ';; Version:' tuareg.el \
	| sed 's/;; Version: *\([0-9.]\+\).*/\1/')
DESCRIPTION = $(shell grep ';;; tuareg.el ---' tuareg.el \
	| sed 's/[^-]*--- *\(.*\)/\1/')
REQUIREMENTS = $(shell grep ';; Package-Requires:' tuareg.el \
	| sed 's/;; Package-Requires: *\(.\+\).*/\1/')
DIST_NAME = tuareg-$(VERSION)

ELS = tuareg.el ocamldebug.el
ELC = $(ELS:.el=.elc)

DIST_FILES += $(ELS) Makefile README

EMACS = emacs

#ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
RM = rm -rf
CP = cp -f
LN = ln
DIFF = diff -u -B

INSTALL_RM_R = $(RM)
INSTALL_MKDIR = mkdir
INSTALL_CP = $(CP)

all : elc tuareg-site-file.el

elc : $(ELC)

%.elc : %.el
	$(EMACS) -batch $(NOINIT) -f batch-byte-compile $<

# ifneq ($(realpath .hg),)
# POST_INSTALL_HOOK = $(RM) $(VERSION_FILE)
# MAKE_VERSION_FILE = hg id -i | fgrep -v '+' >/dev/null || \
#         (echo 'uncommitted changes' >&2; exit 1); \
#         hg id -i --debug > $(VERSION_FILE)
# else
# ifneq ($(realpath .svn),)
# POST_INSTALL_HOOK = $(RM) $(VERSION_FILE)
# MAKE_VERSION_FILE = svn info | grep Revision: | sed 's/Revision: //' > $(VERSION_FILE)
# else
# ifneq ($(realpath .bzr),)
# POST_INSTALL_HOOK = $(RM) $(VERSION_FILE)
# MAKE_VERSION_FILE = bzr log -l -1 | grep revno: > $(VERSION_FILE)
# else
# ifneq ($(realpath $(VERSION_FILE)),)
# POST_INSTALL_HOOK =
# MAKE_VERSION_FILE = @echo "Using \"$(VERSION_FILE)\" in the distribution."
# else
# POST_INSTALL_HOOK =
# MAKE_VERSION_FILE = @(echo "missing \"$(VERSION_FILE)\" in the distribution?" >&2; exit 1)
# endif
# endif
# endif
# endif

# install : $(ELC) $(VERSION_FILE)
#         fgrep `cat $(VERSION_FILE)` tuareg.elc >/dev/null 2>&1 || \
#          ($(RM) tuareg.elc; $(MAKE) tuareg.elc)
#         $(INSTALL_RM_R) ${DEST}
#         $(INSTALL_MKDIR) ${DEST}
#         for f in $(ELS) $(ELC) $(VERSION_FILE); do $(INSTALL_CP) $$f $(DEST)/$$f; done
#         $(POST_INSTALL_HOOK)


.PHONY: refresh
refresh:

check : sample.ml.test

%.test: % $(ELC) refresh
	@echo ====Indent $*====
	-$(RM) $@
	$(EMACS) --batch -q --no-site-file $(ENABLE_SMIE) \
	  --load tuareg.elc $< \
	  --eval '(setq indent-tabs-mode nil)' \
	  --eval '(defun ask-user-about-lock (file opponent) nil)' \
	  --eval '(indent-region (point-min) (point-max) nil)' \
	  --eval '(indent-region (point-min) (point-max) nil)' \
	  --eval '(write-region (point-min) (point-max) "$@")'
	$(DIFF) $< $@ || true

tuareg-site-file.el: refresh
	echo "\
	;;; $@ --- Automatically extracted autoloads.\n\
	;;; Code:\n\
	(add-to-list 'load-path\n\
	             (or (file-name-directory load-file-name) (car load-path)))\n\
	" >$@
	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."

.PHONY: dist tar
dist: $(DIST_NAME).tar.gz
tar: $(DIST_NAME).tar

$(DIST_NAME).tar.gz $(DIST_NAME).tar: $(DIST_FILES)
	mkdir -p $(DIST_NAME)
	for f in $(DIST_FILES); do $(LN) $$f $(DIST_NAME); done
	echo '(define-package "tuareg" "$(VERSION)" "$(DESCRIPTION)" ' "'"'$(REQUIREMENTS))' > $(DIST_NAME)/tuareg-pkg.el
	tar acvf $@ $(DIST_NAME)
	$(RM) -rf $(DIST_NAME)

clean :
	$(RM) $(ELC) "$(DIST_NAME).tar.gz" "$(DIST_NAME).tar"
#         $(POST_INSTALL_HOOK)

# .PHONY : all elc clean install force check distrib dist

=== debian/changelog ===
tuareg-mode (1:2.0.6-3) unstable; urgency=low

  * Updated the emacsen-install file from the current template shipped
    with dh-make to fix an upgrade failure from squeeze (closes: #681823).
    Thanks to Hilko Bengen for the patch!

 -- Ralf Treinen <treinen@debian.org>  Sat, 28 Jul 2012 14:16:52 +0200

tuareg-mode (1:2.0.6-2) unstable; urgency=low

  * debian/emacsen-install: fix tuareg-use-smie (f -> nil). Thanks to
    Kevin Ryde (closes: #676860).
  * debian control: first choice of emacsen is emacs23, not xemacs21
  * new patch emacs21: add an (required 'derived) in case it is not loaded,
    needed by emacs21. Thanks to Kevin Ryde for the patch (closes: #676858).

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jun 2012 09:46:23 +0200

tuareg-mode (1:2.0.6-1) unstable; urgency=low

  * New upstream version. 
  * debian/watch: also accept .tar.gz files
  * upstream does noy longer distribute append-tuareg.el. Put our own version.
    Drop patches to append-tuareg.el that are hence no longer necessary:
     0001-camldebug-of-tuareg-mode-is-renamed-to-camldebug-tua.patch
     0003-narrow-down-auto-alist
  * Drop patch 0002-Use-locally-installed-documentation which is no longer
    relevant as we do not have any local documentation
  * Add patch ocaml-path to fix the ocaml library path according to the 
    debian ocaml policy.
  * debian/rules: no more files custom-tuareg.el or sym-lock.el to install
  * installation: do not compile for xemacs.
  * debian/emacsen-install: create in ELC directory symbolic links for the
    corresponding .el files (closes: #671573)
  * debian/copyright: remove mention of ocamlspot.el which is no longer part
    of the upstream distribution.

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Jun 2012 22:00:20 +0200

tuareg-mode (1:2.0.4-4) unstable; urgency=low

  * Bring files tuareg.el and append-tuareg.el to upstream version 2.0.4.
    These two files were left in version 2.0.1 due to an accident.
  * Patch 0003-narrow-down-auto-alist: regexp must apply only at the end
    of a filename. Thanks to Kevin Ryde for the patch (closes: #671558).
  * debian/control: drop starting article in short description
  * standards-version 3.9.3
    - debian/copyright: migrate to machine-readable format 1.0
  * debian/emacsen-setloadpath: use debian-pkg-add-load-path-item, instead
    of explicit setting of the load-path variable, to extend the load path
    (closes: #671557).

 -- Ralf Treinen <treinen@debian.org>  Sun, 06 May 2012 14:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
 
 Package: tuareg-mode
 Architecture: all
-Depends: xemacs21-nomule | emacsen, ${misc:Depends}
+Depends: emacs23 | emacsen, ${misc:Depends}
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
 Conflicts: ocaml-tools (<= 1.1-2)
-Description: An emacs-mode for ocaml programs
+Description: emacs-mode for ocaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It
  provides support to run an interactive OCaml toplevel and debugger.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tuareg-mode

#export DH_VERBOSE=1

export TUAREGELDIR=debian/tuareg-mode/usr/share/emacs/site-lisp/tuareg-mode
export TUAREGXELDIR=debian/tuareg-mode/usr/share/xemacs/site-lisp/tuareg-mode

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(TUAREGELDIR)
	cp tuareg.el $(TUAREGELDIR)
	cp ocamldebug.el $(TUAREGELDIR)/ocamldebug-tuareg.el

.PHONY: override_dh_installemacsen
override_dh_installemacsen:
	dh_installemacsen --priority=51

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs README

.PHONY: override_dh_auto_build
override_dh_auto_build:

.PHONY: override_dh_auto_test
override_dh_auto_test:

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=43 .*/tuareg-([\d\.]+)\.(?:tgz|tar.gz)

## tuareg-mode 2.0.7

=== Makefile ===
VERSION = $(shell grep ';; Version:' tuareg.el \
	| sed 's/;; Version: *\([0-9.]\+\).*/\1/')
DESCRIPTION = $(shell grep ';;; tuareg.el ---' tuareg.el \
	| sed 's/[^-]*--- *\([^.]*\).*/\1/')
REQUIREMENTS = $(shell grep ';; Package-Requires:' tuareg.el \
	| sed 's/;; Package-Requires: *\(.\+\).*/\1/')
DIST_NAME = tuareg-$(VERSION)
TARBALL = $(DIST_NAME).tar.gz
OPAM_DIR = tuareg.$(VERSION)

ELS = tuareg.el ocamldebug.el tuareg-site-file.el
ELC = $(ELS:.el=.elc)

# Installation directory:
INSTALL_DIR ?= $(shell opam config var prefix)/share/tuareg

DIST_FILES += $(ELS) Makefile README

EMACS ?= emacs

#ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
RM ?= rm -f
CP ?= cp -f
LN = ln
DIFF = diff -u -B

INSTALL_RM_R = $(RM) -r
INSTALL_MKDIR = mkdir -p
INSTALL_CP = $(CP)

all : elc tuareg-site-file.el

elc : $(ELC)

%.elc : %.el
	$(EMACS) --batch --no-init-file -f batch-byte-compile $<

install : $(ELC)
	-$(INSTALL_RM_R) $(INSTALL_DIR)
	$(INSTALL_MKDIR) $(INSTALL_DIR)
	$(INSTALL_CP) $(ELS) $(ELC) $(INSTALL_DIR)/
	$(POST_INSTALL_HOOK)

uninstall :
	-test -d $(INSTALL_DIR) && $(INSTALL_RM_R) $(INSTALL_DIR)

.PHONY: refresh
refresh:

check : sample.ml.test

%.test: % $(ELC) refresh
	@echo ====Indent $*====
	-$(RM) $@
	$(EMACS) --batch -q --no-site-file $(ENABLE_SMIE) \
	  --load tuareg.elc $< \
	  --eval '(setq indent-tabs-mode nil)' \
	  --eval '(defun ask-user-about-lock (file opponent) nil)' \
	  --eval '(indent-region (point-min) (point-max) nil)' \
	  --eval '(indent-region (point-min) (point-max) nil)' \
	  --eval '(write-region (point-min) (point-max) "$@")'
	$(DIFF) $< $@ || true

tuareg-site-file.el: refresh
	(echo ";;; $@ --- Automatically extracted autoloads.";\
	 echo ";;; Code:";\
	 echo "(add-to-list 'load-path";\
	 echo "             (or (file-name-directory load-file-name) (car load-path)))";\
	 echo "") >$@
	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."

dist distrib: $(TARBALL)

$(TARBALL): $(DIST_FILES)
	mkdir -p $(DIST_NAME)
	for f in $(DIST_FILES); do $(LN) $$f $(DIST_NAME); done
	echo '(define-package "tuareg" "$(VERSION)" "$(DESCRIPTION)" ' "'"'$(REQUIREMENTS))' > $(DIST_NAME)/tuareg-pkg.el
	tar acvf $@ $(DIST_NAME)
	$(RM) -r $(DIST_NAME)

opam: $(TARBALL)
	$(INSTALL_MKDIR) $(OPAM_DIR)
	$(CP) -a $(filter-out %~, $(wildcard opam/*)) $(OPAM_DIR)
	echo "archive: \"`pwd`/$(TARBALL)\"" > $(OPAM_DIR)/url
	echo "checksum: \"`md5sum $(TARBALL) | cut -d ' ' -f 1`\"" \
	  >> $(OPAM_DIR)/url

clean :
	$(RM) $(ELC) "$(DIST_NAME).tar.gz" "$(DIST_NAME).tar"
	$(RM) -r tuareg.$(VERSION)

.PHONY : all elc clean install uninstall check distrib dist opam

=== debian/changelog ===
tuareg-mode (1:2.0.7-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * Remove Sylvain Le Gall from uploaders

  [ Ralf Treinen ]
  * New upstream release. This release fixes
    - some bugs with syntax highliting and indentation (closes: #207471)
    - incorrect indentation of nested if statements (closes: #617407)
  * change dependency on emacs23 to emacs (closes: #754032)
  * Standards-Version 3.9.5 (no change)
  * Drop conflict with ocaml-tools (<=1.1-2) which is no longer distributed
    since october 2001.
  * Drop patch emacs21 which is no longer relevant - we don't care for
    compatibility with emacs version 21 any more.
  * Added debian/emacsen-compat, added dependency on emacsen-common >= 2.0.8

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Jul 2014 10:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
 
 Package: tuareg-mode
 Architecture: all
-Depends: emacs23 | emacsen, ${misc:Depends}
+Depends: emacs | emacsen, ${misc:Depends}, emacsen-common (>= 2.0.8)
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
-Conflicts: ocaml-tools (<= 1.1-2)
 Description: emacs-mode for ocaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It

## tuareg-mode 2.0.9

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,28 @@
 VERSION = $(shell grep ';; Version:' tuareg.el \
-	| sed 's/;; Version: *\([0-9.]\+\).*/\1/')
+	| sed 's/;; Version: *\([0-9.]*\).*/\1/')
 DESCRIPTION = $(shell grep ';;; tuareg.el ---' tuareg.el \
 	| sed 's/[^-]*--- *\([^.]*\).*/\1/')
 REQUIREMENTS = $(shell grep ';; Package-Requires:' tuareg.el \
-	| sed 's/;; Package-Requires: *\(.\+\).*/\1/')
+	| sed 's/;; Package-Requires: *\(.*\)/\1/')
 DIST_NAME = tuareg-$(VERSION)
 TARBALL = $(DIST_NAME).tar.gz
 OPAM_DIR = tuareg.$(VERSION)
 
-ELS = tuareg.el ocamldebug.el tuareg-site-file.el
+SOURCES = tuareg.el tuareg_indent.el ocamldebug.el
+ELS = $(SOURCES) tuareg-site-file.el
 ELC = $(ELS:.el=.elc)
 
-# Installation directory:
-INSTALL_DIR ?= $(shell opam config var prefix)/share/tuareg
+INSTALL_FILES = $(ELS) $(ELC)
+INSTALL_DIR ?= $(shell opam config var share)/emacs/site-lisp
 
-DIST_FILES += $(ELS) Makefile README
+DIST_FILES += $(ELS) Makefile README.md
 
+EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
+ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
+EMACS ?= $(EMACSFORMACOSX)
+else
 EMACS ?= emacs
+endif
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
 RM ?= rm -f
@@ -33,16 +39,16 @@
 elc : $(ELC)
 
 %.elc : %.el
-	$(EMACS) --batch --no-init-file -f batch-byte-compile $<
+	$(EMACS) --batch -L . --no-init-file -f batch-byte-compile $<
 
-install : $(ELC)
-	-$(INSTALL_RM_R) $(INSTALL_DIR)
+install : $(INSTALL_FILES)
 	$(INSTALL_MKDIR) $(INSTALL_DIR)
-	$(INSTALL_CP) $(ELS) $(ELC) $(INSTALL_DIR)/
+	$(INSTALL_CP) $(INSTALL_FILES) $(INSTALL_DIR)/
 	$(POST_INSTALL_HOOK)
 
 uninstall :
-	-test -d $(INSTALL_DIR) && $(INSTALL_RM_R) $(INSTALL_DIR)
+	-test -d $(INSTALL_DIR) && \
+	  $(INSTALL_RM_R) $(addprefix $(INSTALL_DIR)/, $(INSTALL_FILES))
 
 .PHONY: refresh
 refresh:
@@ -61,7 +67,7 @@
 	  --eval '(write-region (point-min) (point-max) "$@")'
 	$(DIFF) $< $@ || true
 
-tuareg-site-file.el: refresh
+tuareg-site-file.el: $(SOURCES)
 	(echo ";;; $@ --- Automatically extracted autoloads.";\
 	 echo ";;; Code:";\
 	 echo "(add-to-list 'load-path";\

=== debian/changelog ===
tuareg-mode (1:2.0.9-2) unstable; urgency=low

  * debian/control: fix url in Vcs fields.

 -- Ralf Treinen <treinen@debian.org>  Tue, 05 May 2015 18:20:03 +0200

tuareg-mode (1:2.0.9-1) experimental; urgency=medium

  * New upstream release. This release fixes a bad interaction with
    show-paren-mode (closes: #780805)
  * debian/rules:
    - drop override of dh_installchangelogs
    - install *.el files newly added by upstream
    - drop spurious .PHONY declarations for dh override targets
    - drop variable export TUAREGXELDIR 
  * debian/tuareg-mode.docs: README is now README.md
  * debian/watch: switch to new upstream site at github.
  * Standards-version 3.9.6 (no change)
  * add DEP8-style package test

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Mar 2015 15:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
+XS-Testsuite: autopkgtest
 
 Package: tuareg-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tuareg-mode

#export DH_VERBOSE=1

export TUAREGELDIR=debian/tuareg-mode/usr/share/emacs/site-lisp/tuareg-mode

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(TUAREGELDIR)
	cp tuareg.el tuareg_indent.el tuareg-light.el $(TUAREGELDIR)
	cp ocamldebug.el $(TUAREGELDIR)/ocamldebug-tuareg.el

override_dh_installemacsen:
	dh_installemacsen --priority=51

override_dh_auto_build:

override_dh_auto_test:

=== debian/tests/control ===
Tests: upstream
Depends: @
Restrictions: allow-stderr

## tuareg-mode 2.0.10

=== Makefile ===
--- 
+++ 
@@ -15,13 +15,18 @@
 INSTALL_FILES = $(ELS) $(ELC)
 INSTALL_DIR ?= $(shell opam config var share)/emacs/site-lisp
 
-DIST_FILES += $(ELS) Makefile README.md
+DIST_FILES += $(ELS) Makefile README.md tuareg.install
 
 EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
+AQUAMACS = /Applications/Aquamacs.app
 ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
 EMACS ?= $(EMACSFORMACOSX)
 else
+ifeq ($(wildcard $(AQUAMACS)),$(AQUAMACS))
+EMACS ?= $(AQUAMACS)
+else
 EMACS ?= emacs
+endif
 endif
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
@@ -34,12 +39,13 @@
 INSTALL_MKDIR = mkdir -p
 INSTALL_CP = $(CP)
 
-all : elc tuareg-site-file.el
+all : tuareg-site-file.el
 
 elc : $(ELC)
 
 %.elc : %.el
 	$(EMACS) --batch -L . --no-init-file -f batch-byte-compile $<
+	@echo "Files byte-compiled using $(EMACS)"
 
 install : $(INSTALL_FILES)
 	$(INSTALL_MKDIR) $(INSTALL_DIR)
@@ -59,13 +65,15 @@
 	@echo ====Indent $*====
 	-$(RM) $@
 	$(EMACS) --batch -q --no-site-file $(ENABLE_SMIE) \
-	  --load tuareg.elc $< \
+	  --load tuareg-site-file.el $< \
 	  --eval '(setq indent-tabs-mode nil)' \
 	  --eval '(defun ask-user-about-lock (file opponent) nil)' \
 	  --eval '(indent-region (point-min) (point-max) nil)' \
 	  --eval '(indent-region (point-min) (point-max) nil)' \
 	  --eval '(write-region (point-min) (point-max) "$@")'
 	$(DIFF) $< $@ || true
+
+indent-test: indent-test.ml.test
 
 tuareg-site-file.el: $(SOURCES)
 	(echo ";;; $@ --- Automatically extracted autoloads.";\
@@ -77,6 +85,10 @@
 	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."
 
 dist distrib: $(TARBALL)
+	@echo "archive: \"$<\"" > opam/url
+	@CHECKSUM="`md5sum -b $< | cut -d ' ' -f 1`" && \
+	echo "checksum: \"$$CHECKSUM\"" >> opam/url
+	@echo "Updated opam/url"
 
 $(TARBALL): $(DIST_FILES)
 	mkdir -p $(DIST_NAME)

=== debian/changelog ===
tuareg-mode (1:2.0.10-1) unstable; urgency=medium

  * new upstream release.
  * emacsen-startup: autoload tuareg-run-ocaml. Thanks to Sameer Bagwhat
    for the patch (closes: #522058)
  * patch opam: set tuareg-interactive-program to opam only when opam is
    installed, and the user has an .opam directory (closes: #788456)
  * emacsen-startup: activate SMIE, since issues seem to be fixed.
  * d/rules: install all tuareg*.el files
  * standards-version 3.9.8 (no  change)
  * d/control: dropped depricated XS-Testsuite
  * d/control: updated Vcs-Git and Vcs-Browser
  * d/control: capitalisation in short description
  * d/control: updated Homepage 

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Jul 2016 21:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
-Homepage: http://tuareg.forge.ocamlcore.org/
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/tuareg-mode.git
+Homepage: https://github.com/ocaml/tuareg
 
 Package: tuareg-mode
 Architecture: all
 Depends: emacs | emacsen, ${misc:Depends}, emacsen-common (>= 2.0.8)
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
-Description: emacs-mode for ocaml programs
+Description: emacs-mode for OCaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It
  provides support to run an interactive OCaml toplevel and debugger.

## tuareg-mode 2.1.0

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,10 @@
 	| sed 's/;; Package-Requires: *\(.*\)/\1/')
 DIST_NAME = tuareg-$(VERSION)
 TARBALL = $(DIST_NAME).tar.gz
-OPAM_DIR = tuareg.$(VERSION)
+OPAM_DIR = packages/tuareg/tuareg.$(VERSION)
 
-SOURCES = tuareg.el tuareg_indent.el ocamldebug.el
+SOURCES = tuareg.el ocamldebug.el tuareg-opam.el \
+  tuareg-jbuild.el
 ELS = $(SOURCES) tuareg-site-file.el
 ELC = $(ELS:.el=.elc)
 
@@ -18,16 +19,18 @@
 DIST_FILES += $(ELS) Makefile README.md tuareg.install
 
 EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
-AQUAMACS = /Applications/Aquamacs.app
+AQUAMACS = $(shell test -d /Applications \
+	&& find /Applications -type f | grep 'Aquamacs$$')
 ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
 EMACS ?= $(EMACSFORMACOSX)
 else
+ifneq ($(strip $(AQUAMACS)),)
 ifeq ($(wildcard $(AQUAMACS)),$(AQUAMACS))
 EMACS ?= $(AQUAMACS)
-else
-EMACS ?= emacs
 endif
 endif
+endif
+EMACS ?= emacs
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
 RM ?= rm -f
@@ -85,10 +88,6 @@
 	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."
 
 dist distrib: $(TARBALL)
-	@echo "archive: \"$<\"" > opam/url
-	@CHECKSUM="`md5sum -b $< | cut -d ' ' -f 1`" && \
-	echo "checksum: \"$$CHECKSUM\"" >> opam/url
-	@echo "Updated opam/url"
 
 $(TARBALL): $(DIST_FILES)
 	mkdir -p $(DIST_NAME)
@@ -100,7 +99,7 @@
 opam: $(TARBALL)
 	$(INSTALL_MKDIR) $(OPAM_DIR)
 	$(CP) -a $(filter-out %~, $(wildcard opam/*)) $(OPAM_DIR)
-	echo "archive: \"`pwd`/$(TARBALL)\"" > $(OPAM_DIR)/url
+	echo "archive: \"https://github.com/ocaml/tuareg/releases/download/$(VERSION)/$(TARBALL)\"" > $(OPAM_DIR)/url
 	echo "checksum: \"`md5sum $(TARBALL) | cut -d ' ' -f 1`\"" \
 	  >> $(OPAM_DIR)/url

=== debian/changelog ===
tuareg-mode (1:2.1.0-2) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.2.0 (no change)
  * d/copyright: https in url of format specification
  * debhelper compatibility level 11 (no change)
  * as-installed test (closes: #906226)
    - depend on emacs
    - test with tuareg.el instead of tuareg.elc (to be undone when the
      package is converted to dh-elpa)

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Aug 2018 18:22:37 +0200

tuareg-mode (1:2.1.0-1) unstable; urgency=medium

  * New upstream version
    - refresh patch ocaml-path
    - drop patch opam, issue is resolved by upstream 
  * debian/gbp.conf: drop field cleaner
  * debhelper compat level 10
  * Standards-Version 4.1.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Nov 2017 21:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/tuareg-mode.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/ocaml-team/tuareg-mode
+Vcs-Git: https://salsa.debian.org/ocaml-team/tuareg-mode.git
 Homepage: https://github.com/ocaml/tuareg
 
 Package: tuareg-mode

=== debian/tests/control ===
Tests: upstream
Depends: @, emacs
Restrictions: allow-stderr

## tuareg-mode 2.2.0

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 TARBALL = $(DIST_NAME).tar.gz
 OPAM_DIR = packages/tuareg/tuareg.$(VERSION)
 
-SOURCES = tuareg.el ocamldebug.el tuareg-opam.el \
-  tuareg-jbuild.el
+SOURCES = tuareg.el ocamldebug.el tuareg-opam.el tuareg-jbuild.el \
+  tuareg-menhir.el
 ELS = $(SOURCES) tuareg-site-file.el
 ELC = $(ELS:.el=.elc)
 
@@ -19,14 +19,19 @@
 DIST_FILES += $(ELS) Makefile README.md tuareg.install
 
 EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
+EMACSMACPORTS = /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs
 AQUAMACS = $(shell test -d /Applications \
 	&& find /Applications -type f | grep 'Aquamacs$$')
 ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
 EMACS ?= $(EMACSFORMACOSX)
 else
+ifeq ($(wildcard $(EMACSMACPORTS)),$(EMACSMACPORTS))
+EMACS ?= $(EMACSMACPORTS)
+else
 ifneq ($(strip $(AQUAMACS)),)
 ifeq ($(wildcard $(AQUAMACS)),$(AQUAMACS))
 EMACS ?= $(AQUAMACS)
+endif
 endif
 endif
 endif
@@ -42,9 +47,7 @@
 INSTALL_MKDIR = mkdir -p
 INSTALL_CP = $(CP)
 
-all : tuareg-site-file.el
-
-elc : $(ELC)
+all elc : $(ELC) tuareg-site-file.el
 
 %.elc : %.el
 	$(EMACS) --batch -L . --no-init-file -f batch-byte-compile $<
@@ -96,9 +99,13 @@
 	tar acvf $@ $(DIST_NAME)
 	$(RM) -r $(DIST_NAME)
 
-opam: $(TARBALL)
+submit: $(TARBALL)
+	@if [ ! -d packages/ ]; then \
+	  echo "Make a symbolic link packages → OPAM repository/packages"; \
+	  exit 1; \
+	fi
 	$(INSTALL_MKDIR) $(OPAM_DIR)
-	$(CP) -a $(filter-out %~, $(wildcard opam/*)) $(OPAM_DIR)
+	$(CP) -a $(wildcard *.opam *.descr) $(OPAM_DIR)
 	echo "archive: \"https://github.com/ocaml/tuareg/releases/download/$(VERSION)/$(TARBALL)\"" > $(OPAM_DIR)/url
 	echo "checksum: \"`md5sum $(TARBALL) | cut -d ' ' -f 1`\"" \
 	  >> $(OPAM_DIR)/url
@@ -107,4 +114,4 @@
 	$(RM) $(ELC) "$(DIST_NAME).tar.gz" "$(DIST_NAME).tar"
 	$(RM) -r tuareg.$(VERSION)
 
-.PHONY : all elc clean install uninstall check distrib dist opam
+.PHONY : all elc clean install uninstall check distrib dist submit

=== debian/changelog ===
tuareg-mode (1:2.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Apr 2020 15:16:07 +0200

tuareg-mode (1:2.1.0-4) unstable; urgency=medium

  * Source-only upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Dec 2019 21:27:01 +0100

tuareg-mode (1:2.1.0-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Convert to dh-elpa (Closes: #905940):
    - Binary package must be named elpa-tuareg for compatibility
      with MELPA.
    - Drop legacy debian/*emacsen* scripts.
    - Install LISP files using debian/elpa-tuareg.elpa
  * d/control:
    - Add dh-elpa build-dep.
    - Enable autopkgtest-pkg-elpa.
    - Elpa-tuareg contains the elpafied package and tuareg-mode
      is now a dummy package.
    - Add Breaks and Replaces against old tuareg-mode.
    - Rely on dh-elpa for elpa-tuareg's Depends.
    - Drop XEmacs from long description because dh-elpa does not support it.
      (Closes: #850071, #582981)
    - Add Enhances emacs, which is conventional for elpa packages.
  * Rename debian/tuareg-mode.docs -> debian/elpa-tuareg.docs
  * Rewrite d/rules to use dh-elpa, and ignore upstream Makefile.
  * d/changelog: add myself, because this number of changes requires it.

  [ Ralf Treinen ]
  * Changed Recommendation of ocaml-mode to elpa-caml as the former is
    now a transitional package.
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 12 (no change) 
  * Standards-Version 4.4.1 (no change)
  * Drop debian/clean which is no longer needed.
  * Package description: caml-mode is no longer part of ocaml upstream,
    and that package is now called elpa-caml.

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Nov 2019 19:53:23 +0100

=== debian/control ===
Source: tuareg-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-elpa
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ocaml-team/tuareg-mode
Vcs-Git: https://salsa.debian.org/ocaml-team/tuareg-mode.git
Homepage: https://github.com/ocaml/tuareg
Testsuite: autopkgtest-pkg-elpa

Package: elpa-tuareg
Architecture: all
Depends: ${elpa:Depends},
 ${misc:Depends}
Recommends: emacs (>= 46.0),
 ocaml-interp,
 elpa-caml
Enhances: ocaml-interp,
 emacs
Breaks: tuareg-mode (<< 1:2.1.0-3)
Replaces: tuareg-mode (<< 1:2.1.0-3)
Description: emacs-mode for OCaml programs
 Tuareg handles automatic indentation of Objective Caml and Caml-Light
 code.  Key parts of the code are highlighted using Font-Lock. It
 provides support to run an interactive OCaml toplevel and debugger.
 .
 This mode attempts to give better results than the caml-mode provided by
 the elpa-caml package. Indentation rules are slightly different but
 closer to classical functional languages indentation. Tuareg
 gives access to some functionalities from caml-mode when the elpa-caml
 package is installed.

Package: tuareg-mode
Architecture: all
Depends: elpa-tuareg,
 ${misc:Depends}
Section: oldlibs
Description: transitional package, tuareg-mode to elpa-tuareg
 Tuareg for GNU Emacs has been elpafied.  This dummy transitional
 package facilitates the transition from tuareg-mode to
 elpa-tuareg-mode and is safe to remove.
